/*
**	DrawIt converter for 3Com PalmPilots
**	di_image.h
**
**	Copyright (C) 2001  William McFarland
**
**	This program is free software; you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation; either version 2 of the License, or
**	(at your option) any later version.
** 
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
** 
**	You should have received a copy of the GNU General Public License
**	along with this program; if not, write to the Free Software
**	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**
*/

#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#ifndef __DI_IMAGE_H
#define __DI_IMAGE_H

typedef unsigned char Byte;

class di_image
{
   public:
      di_image (void);
      di_image(int num, unsigned int off, unsigned int sz, int cmp);
      virtual ~di_image (void);
      size_t read_buffer (FILE * fin);
      void write_image(const char * baseName);
      void set_image_number (const int num);
      void set_offset (const long off);
      void set_size (const long sz);
      long get_size (void) const;
      long get_offset (void) const;

   private:
       void write_compressed(FILE * fout);
       void write_uncompressed (FILE * fout);
       
       long offset;
       long img_size;
       Byte * buff;
       int compressed;
       int img_num;
};

#endif // __DI_IMAGE_H
